# The directory of script dir
SCRIPT_DIR=/people/qing0/PGIZA/script_condor_new
BIN_DIR=/people/qing0/PGIZA/bin

# Whether clean temporary dir every time
CLEAN=1
#CLEAN=0
CLEANING=${SCRIPT_DIR}/cleaning.sh

# Alignment Submitting Script
SUBMIT_ALIGN=${SCRIPT_DIR}/Submit-2GB.sh

# Normalization Submitting Script (TTable)
SUBMIT_TTABLE=${SCRIPT_DIR}/Submit-4GB.sh

# Other normalization scripts:
SUBMIT_NORM=${SCRIPT_DIR}/Submit-1GB.sh

#The path to the Model One master
MODEL_ONE_MASTER=${SCRIPT_DIR}/modelOneMaster.sh
#The path to the Model HMM master
MODEL_HMM_MASTER=${SCRIPT_DIR}/hmmMaster.sh
#The path to the Model 3/4/5's master
MODEL_345_MASTER=${SCRIPT_DIR}/model345Master.sh

#Merging script
MERGE_SCRIPT=${SCRIPT_DIR}/runMerging.sh

# Step One Start the model one 

#Watching dir
WATCH_DIR=$PWD/watch  
#Collection dir
COLL_DIR=$PWD/coll
#logdir
LOG_DIR=$PWD/log
#Temp dir
TMP_DIR=$PWD/tmp
#Output directory (model files)
OUTPUT_DIR=$PWD/output
#Alignment Dir
ALIGN_DIR=$PWD/align


# Well, should we set rounds here?
MODEL_ONE_ROUND=5
MODEL_HMM_ROUND=5
MODEL_345_ROUND=011233

CHILD_LIST_ONE=$PWD/para_conf_model1
CHILD_LIST_HMM=$PWD/para_conf_hmm
CHILD_LIST_345=$PWD/para_conf_model345

GENERAL_TMPL=$PWD/templ/template_overall

# Ouput of each model
OUTPUT_MODEL_ONE=${OUTPUT_DIR}/t1.final

# HMM output
OUTPUT_T_HMM=${OUTPUT_DIR}/thmm.final
OUTPUT_A_HMM=${OUTPUT_DIR}/ahmm.final
OUTPUT_H_HMM=${OUTPUT_DIR}/hhmm.final

# Model 3/4/5 output
OUTPUT_T_FINAL=${OUTPUT_DIR}/t4.final
OUTPUT_A_FINAL=${OUTPUT_DIR}/a4.final
OUTPUT_D_FINAL=${OUTPUT_DIR}/d4.final
OUTPUT_N_FINAL=${OUTPUT_DIR}/n4.final
OUTPUT_PZ_FINAL=${OUTPUT_DIR}/p0.final
OUTPUT_H_FINAL=${OUTPUT_DIR}/h4.final
OUTPUT_ALIGN=${OUTPUT_DIR}/align.final

# Input of each stage
INPUT_T_HMM=${OUTPUT_MODEL_ONE}

# Mode 3/4/5 input
INPUT_T_FINAL=${OUTPUT_T_HMM}
INPUT_A_FINAL=${OUTPUT_A_HMM}
INPUT_H_FINAL=${OUTPUT_H_HMM}

path_model1=${SCRIPT_DIR}/runModelOneChild.sh
path_hmm=${SCRIPT_DIR}/runHMMChild.sh
path_model345=${SCRIPT_DIR}/runModel345Child.sh

GENERAL_TEMPL=$PWD/templ/template_overall

#Path to all the excutables
MODEL_ONE_EXEC=${BIN_DIR}/model1_align
HMM_EXEC=${BIN_DIR}/hmm_align
VITERBI_EXEC=${BIN_DIR}/model345_align
MODEL_ONE_NORM=${BIN_DIR}/renormalizeTTable
ATABLE_EXEC=${BIN_DIR}/renormalizeATable
CHMM_EXEC=${BIN_DIR}/renormalizeHMM
NDPTABLE_EXEC=${BIN_DIR}/renormalizeNDP
