#!/usr/bin/env bash
# This program starts a child process of model one alignment
# It takes  ? Parameters
echo "---------------------------------------------------------------"
echo "Usage of this script:"
echo "runModelOneChild.sh <config> <output> <run> <signal> <log> [prev_model]"
echo " <config> is the configure template, "
echo " <output> is the path of the difference file for output"
echo " <run> should be integer to indicate which run it is"
echo " <signal> is the file which I will touch when finished training"
echo " <log> is the log file which I record everything"
echo " [prev_model] is optional, but when run>1 it must be specified"
echo "---------------------------------------------------------------"
echo 
echo 
if [ $# -lt "5" ];
then
	echo " NO! I need your command!"
	exit 1
fi

if [ -e $PWD/defines.inc ];
then
        source $PWD/defines.inc
else
	MODEL_ONE_EXEC=/SMT/giza/view_source/newgiza/src/para/model1_align
fi

if [ -x $MODEL_ONE_EXEC ];
then
	echo " Using executable " $MODEL_ONE_EXEC 
else
	echo " The execution file " $MODEL_ONE_EXEC " cannot be executed dude"
	echo " set environment MODEL_ONE_EXEC to get me run!"
	exit 1
fi

# Here is the configure file we are going to write
CONF=/tmp/`basename $1`.$$.$3.gizaconf
# We need to test whether the environment is OK
if [ -r $1 ]; # is template exists?
then
	echo "... Checking template"
	echo " GOOD, I am now copying the template to where we will start"
	cat $1 > $CONF
	# test ?
	echo " The initial configure is written to file " $CONF
else
	echo " NO! The template cannot be read! "
	exit 1
fi

# Now add the lines we needs

if [ $3 != "1" ]; 
then
	if [ $# -lt "6" ]; 
	then
		echo "NO! If you want me to run a second round, tell me where to start"
		exit 1
	else
		echo "prevtmodel " $6 >> $CONF
	fi
fi

echo "cm1 " $3 >> $CONF
echo "outputdiff"  $2 >> $CONF
echo "o" $ALIGN_DIR/`basename ${4}` >> $CONF

# Now we have everything, start!
rm -f $4
rm -f $4.failed

rm -f $4.starting

echo Executing: $MODEL_ONE_EXEC $CONF
if $MODEL_ONE_EXEC $CONF &> $5 ;
then
	echo " Yeah! we finish, please tell my mom at" $4
	touch $4  
else
	echo " Something is wrong, see " $5 ", I wrote something"
	touch $4.failed
	# When mother see this, do something to save me
fi

rm -f $4.running




